%define oname pygtksourceview

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Gtksourceview bindings for Python
Name:		python-gtksourceview
Version:	2.10.1
Release:	%mkrel 13
Source0:	https://download.gnome.org/sources/%oname/%{url_ver}/%{oname}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Development/Python
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(gtksourceview-2.0) >= 2.9.1
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	libxslt-proc 
BuildRequires:	docbook-style-xsl
BuildRequires:  pkgconfig(python2)

%description
These are the python bindings for the version 2 of the
GtkSourceView library.

%package devel
Group:		Development/Python
Summary:	Files required to build applications with %name
Requires:	%name = %version

%description devel
These are the python bindings for the version 2 of the
GtkSourceView library.


%prep
%autosetup -n %oname-%version

%build
%configure2_5x
%make PYTHON_LIBS="-lpython%{python2_version}"

%install
%makeinstall_std
rm -f %buildroot%py_platsitedir/gtksourceview2.la

%files
%doc README NEWS AUTHORS
%py_platsitedir/gtksourceview2.so

%files devel
%doc ChangeLog
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/pygtksourceview2/
%_datadir/pygtk/2.0/defs/gtksourceview2.defs




%changelog
* Thu Apr 28 2016 tv <tv> 2.10.1-13.mga6
+ Revision: 1007107
- use new python macros

* Tue Feb 16 2016 umeabot <umeabot> 2.10.1-12.mga6
+ Revision: 962225
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 philippem <philippem> 2.10.1-11.mga6
+ Revision: 879997
- fix build use new macros

* Wed Oct 15 2014 umeabot <umeabot> 2.10.1-10.mga5
+ Revision: 750376
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.10.1-9.mga5
+ Revision: 728680
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.10.1-8.mga5
+ Revision: 688066
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10.1-7.mga4
+ Revision: 517779
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.10.1-6.mga3
+ Revision: 378968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 ovitters <ovitters> 2.10.1-5.mga3
+ Revision: 329821
- clean spec

* Sun Jan 23 2011 ennael <ennael> 2.10.1-3.mga1
+ Revision: 34392
- imported package python-gtksourceview

